ランタイム: Mix::Graphics Namespace Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Enumerations | Functions
Mix::Graphics Namespace Reference

グラフィックス More...

## Namespaces

| Utility
| グラフィックス ( ユーティリティ )

## Classes

struct | BLEND_DESC
| ブレンドステート構造体 More...
struct | DEPTH_DESC
| デプスステート構造体 More...
class | IDevice
| グラフィックスデバイスインターフェース More...
class | IDeviceObject
| デバイスオブジェクトインターフェース More...
class | IDomainShader
| ドメインシェーダーインターフェース More...
class | IGeometryShader
| ジオメトリシェーダーインターフェース More...
class | IHullShader
| ハルシェーダーインターフェース More...
class | IIndexBuffer
| インデックスバッファインターフェース More...
class | IManager
| グラフィックスマネージャインターフェース More...
class | IPixelShader
| ピクセルシェーダーインターフェース More...
class | IQuery
| クエリインターフェース More...
class | IShaderConstant
| シェーダーコンスタントインターフェース More...
class | ITexture
| テクスチャインターフェース More...
class | IVertexBuffer
| バーテックスバッファインターフェース More...
class | IVertexLayout
| バーテックスレイアウトインターフェース More...
class | IVertexShader
| バーテックスシェーダーインターフェース More...
struct | RASTERIZER_DESC
| ラスタライザステート構造体 More...
struct | SHADER_MACRO
| シェーダーマクロ構造体 More...
struct | VERTEX_ELEMENT
| バーテックスエレメント構造体 More...

## Enumerations

enum | SHADER_MODEL { SHADER_MODEL_3 = 0, SHADER_MODEL_4 = 1, SHADER_MODEL_5 = 2 }
| シェーダーモデル列挙定数 More...
enum | VERTEX_ELEMENT_SEMANTIC { VLS_POSITION = 0, VLS_BLENDWEIGHT = 1, VLS_BLENDINDICES = 2, VLS_NORMAL = 3, VLS_PSIZE = 4, VLS_TEXTURE = 5, VLS_TANGENT = 6, VLS_BINORMAL = 7, VLS_COLOR = 8 }
| バーテックスエレメントセマンティック列挙定数 More...

enum

VERTEX_ELEMENT_FORMAT {
VLF_FLOAT32_1 = 0, VLF_FLOAT32_2 = 1, VLF_FLOAT32_3 = 2, VLF_FLOAT32_4 = 3,
VLF_UINT8_4 = 4, VLF_INT16_2 = 5, VLF_INT16_4 = 6, VLF_UINT8_4N = 7,
VLF_INT16_2N = 8, VLF_INT16_4N = 9, VLF_UINT16_2N = 10, VLF_UINT16_4N = 11,
VLF_FLOAT16_2 = 12, VLF_FLOAT16_4 = 13
}

| バーテックスエレメントフォーマット列挙定数 More...

enum

SHADER_TARGET {
VS_3_0 = 0, PS_3_0 = 1, CS_4_0 = 2, GS_4_0 = 3,
VS_4_0 = 4, PS_4_0 = 5, CS_4_1 = 6, GS_4_1 = 7,
VS_4_1 = 8, PS_4_1 = 9, CS_5_0 = 10, DS_5_0 = 11,
GS_5_0 = 12, HS_5_0 = 13, VS_5_0 = 14, PS_5_0 = 15
}

| シェーダーターゲット列挙定数 More...
enum | FILL_TYPE { FILL_WIREFRAME = 0, FILL_SOLID = 1 }
| 描画タイプ列挙定数 More...
enum | CULL_TYPE { CULL_NONE = 0, CULL_FRONT = 1, CULL_BACK = 2 }
| カリングタイプ列挙定数 More...
enum | BLEND_TYPE { BLEND_COPY = 0, BLEND_NORMAL = 1, BLEND_ADD = 2, BLEND_SUB = 3, BLEND_MUL = 4, BLEND_SCREEN = 5 }
| ブレンドタイプ列挙定数 More...
enum | ZFUNC_TYPE { ZFUNC_ALWAYS = 0, ZFUNC_NEVER = 1, ZFUNC_LESS = 2, ZFUNC_EQUAL = 3, ZFUNC_LESSEQUAL = 4, ZFUNC_GREATER = 5, ZFUNC_NOTEQUAL = 6, ZFUNC_GREATEREQUAL = 7 }
| Zファンクション列挙定数 More...
enum | TEXTURE_FILTER_TYPE { TEXTURE_FILTER_POINT = 0, TEXTURE_FILTER_LINEAR = 1, TEXTURE_FILTER_ANISOTROPIC = 2 }
| テクスチャフィルタタイプ列挙定数 More...
enum | TEXTURE_ADDRESS_TYPE { TEXTURE_ADDRESS_WRAP = 0, TEXTURE_ADDRESS_CLAMP = 1 }
| テクスチャー座標の解決手法列挙定数 More...
enum | CUBEMAP_FACE { CUBEMAP_FACE_POSITIVE_X = 0, CUBEMAP_FACE_NEGATIVE_X = 1, CUBEMAP_FACE_POSITIVE_Y = 2, CUBEMAP_FACE_NEGATIVE_Y = 3, CUBEMAP_FACE_POSITIVE_Z = 4, CUBEMAP_FACE_NEGATIVE_Z = 5 }
| キューブマップのフェイス列挙定数 More...

enum

FORMAT {
FMT_UNKNOWN = 0, FMT_D16 = 1, FMT_D32 = 2, FMT_D24S8 = 3,
FMT_R8G8B8A8 = 4, FMT_A8 = 5, FMT_R16F = 6, FMT_R32F = 7,
FMT_R16G16F = 8, FMT_R32G32F = 9, FMT_R16G16B16A16F = 10, FMT_R32G32B32A32F = 11,
FMT_BC1 = 12, FMT_BC2 = 13, FMT_BC3 = 14
}

| フォーマット列挙定数 More...
enum | INDEX_FORMAT { INDEX_USHORT = 0, INDEX_UINT = 1 }
| インデックスフォーマット列挙定数 More...
enum | QUERY_FORMAT { QUERY_EVENT = 0, QUERY_OCCLUSION = 1 }
| クエリフォーマット列挙定数 More...
enum | PRIMITIVE_TYPE { PRIMITIVE_POINTLIST = 0, PRIMITIVE_LINELIST = 1, PRIMITIVE_LINESTRIP = 2, PRIMITIVE_TRIANGLELIST = 3, PRIMITIVE_TRIANGLESTRIP = 4 }
| プリミティブタイプ列挙定数 More...
enum | COLOR_WRITE_MASK { COLOR_WRITE_RGBA = 0, COLOR_WRITE_RGB = 1, COLOR_WRITE_A = 2 }
| カラー書き込みマスク列挙定数 More...

## Functions

_MIX_DLL_API Mix::Graphics::IManager * | GetManagerPtr (void)
| マネージャのポインタを取得します More...
_MIX_DLL_API Boolean | GetManager (Mix::Graphics::IManager **ppManager)
| マネージャを取得します More...

## Detailed Description

グラフィックス

## Enumeration Type Documentation

enum Mix::Graphics::SHADER_MODEL

シェーダーモデル列挙定数

Enumerator
SHADER_MODEL_3 | シェーダーモデル 3.0( DirectX9 )
SHADER_MODEL_4 | シェーダーモデル 4.0( DirectX10 )
SHADER_MODEL_5 | シェーダーモデル 5.0( DirectX11 )

enum Mix::Graphics::VERTEX_ELEMENT_SEMANTIC

バーテックスエレメントセマンティック列挙定数

Enumerator
VLS_POSITION | 座標( Float32[4] )
VLS_BLENDWEIGHT | ブレンドの重み( Float32 )
VLS_BLENDINDICES | ブレンドインデックス( UInt32[n] )
VLS_NORMAL | 法線( Float32[4] )
VLS_PSIZE | ポイントサイズ( Float32[n] )
VLS_TEXTURE | テクスチャ座標( Float32[4] )
VLS_TANGENT | 接線( Float32[4] )
VLS_BINORMAL | 従法線( Float32[4] )
VLS_COLOR | カラー( Float32[4] )

enum Mix::Graphics::VERTEX_ELEMENT_FORMAT

バーテックスエレメントフォーマット列挙定数

Enumerator
VLF_FLOAT32_1 | 1成分、32ビット浮動小数点
VLF_FLOAT32_2 | 2成分、32ビット浮動小数点
VLF_FLOAT32_3 | 3成分、32ビット浮動小数点
VLF_FLOAT32_4 | 4成分、32ビット浮動小数点
VLF_UINT8_4 | 4成分、8ビット符号なし整数
VLF_INT16_2 | 2成分、16ビット符号あり整数
VLF_INT16_4 | 4成分、16ビット符号あり整数
VLF_UINT8_4N | 4成分、8ビット符号なし整数( 正規化 )
VLF_INT16_2N | 2成分、16ビット符号あり整数( 正規化 )
VLF_INT16_4N | 4成分、16ビット符号あり整数( 正規化 )
VLF_UINT16_2N | 2成分、16ビット符号なし整数( 正規化 )
VLF_UINT16_4N | 4成分、16ビット符号なし整数( 正規化 )
VLF_FLOAT16_2 | 2成分、16ビット浮動小数点
VLF_FLOAT16_4 | 4成分、16ビット浮動小数点

enum Mix::Graphics::SHADER_TARGET

シェーダーターゲット列挙定数

Enumerator
VS_3_0 | バーテックスシェーダー 3.0
PS_3_0 | ピクセルシェーダー 3.0
CS_4_0 | コンピュートシェーダー 4.0
GS_4_0 | ジオメトリシェーダー 4.0
VS_4_0 | バーテックスシェーダー 4.0
PS_4_0 | ピクセルシェーダー 4.0
CS_4_1 | コンピュートシェーダー 4.1
GS_4_1 | ジオメトリシェーダー 4.1
VS_4_1 | バーテックスシェーダー 4.1
PS_4_1 | ピクセルシェーダー 4.1
CS_5_0 | コンピュートシェーダー 5.0
DS_5_0 | ドメインシェーダー 5.0
GS_5_0 | ジオメトリシェーダー 5.0
HS_5_0 | ハルシェーダー 5.0
VS_5_0 | バーテックスシェーダー 5.0
PS_5_0 | ピクセルシェーダー 5.0

enum Mix::Graphics::FILL_TYPE

描画タイプ列挙定数

Enumerator
FILL_WIREFRAME | ワイヤーフレーム
FILL_SOLID | ソリッド

enum Mix::Graphics::CULL_TYPE

カリングタイプ列挙定数

Enumerator
CULL_NONE | 全ての三角形を描画します
CULL_FRONT | 前向きの三角形を描画しません
CULL_BACK | 後ろ向きの三角形を描画しません

enum Mix::Graphics::BLEND_TYPE

ブレンドタイプ列挙定数

Enumerator
BLEND_COPY | コピー
BLEND_NORMAL | 通常
BLEND_ADD | 加算
BLEND_SUB | 減算
BLEND_MUL | 乗算
BLEND_SCREEN | スクリーン

enum Mix::Graphics::ZFUNC_TYPE

Zファンクション列挙定数

Enumerator
ZFUNC_ALWAYS | 常に成功する
ZFUNC_NEVER | 常に失敗する
ZFUNC_LESS | 新しいピクセルが現在のピクセルより小さい時に応じる
ZFUNC_EQUAL | 新しいピクセルが現在のピクセルと等しい時に応じる
ZFUNC_LESSEQUAL | 新しいピクセル値が、現在のピクセル値以下のときに応じる
ZFUNC_GREATER | 新しいピクセル値が、現在のピクセル値より大きいときに応じる
ZFUNC_NOTEQUAL | 新しいピクセル値が、現在のピクセル値と等しくないときに応じる
ZFUNC_GREATEREQUAL | 新しいピクセル値が、現在のピクセル値以上のときに応じる

enum Mix::Graphics::TEXTURE_FILTER_TYPE

テクスチャフィルタタイプ列挙定数

Enumerator
TEXTURE_FILTER_POINT | ポイントフィルタ
TEXTURE_FILTER_LINEAR | リニアフィルタ( 線形補間 )
TEXTURE_FILTER_ANISOTROPIC | アニソトロピックフィルタ( 異方性補間 )

enum Mix::Graphics::TEXTURE_ADDRESS_TYPE

テクスチャー座標の解決手法列挙定数

Enumerator
TEXTURE_ADDRESS_WRAP | 整数区切りごとにテクスチャーを繰り返します
TEXTURE_ADDRESS_CLAMP | 整数区切りごとにテクスチャーを反転させます

enum Mix::Graphics::CUBEMAP_FACE

キューブマップのフェイス列挙定数

Enumerator
CUBEMAP_FACE_POSITIVE_X | 正方向のＸ面
CUBEMAP_FACE_NEGATIVE_X | 負方向のＸ面
CUBEMAP_FACE_POSITIVE_Y | 正方向のＹ面
CUBEMAP_FACE_NEGATIVE_Y | 負方向のＹ面
CUBEMAP_FACE_POSITIVE_Z | 正方向のＺ面
CUBEMAP_FACE_NEGATIVE_Z | 負方向のＺ面

enum Mix::Graphics::FORMAT

フォーマット列挙定数

Enumerator
FMT_UNKNOWN | 不明なフォーマット
FMT_D16 | 1成分、デプスチャンネル16ビットフォーマット
FMT_D32 | 1成分、デプスチャンネル32ビットフォーマット
FMT_D24S8 | 2成分、デプスチャンネル24ビット ステンシルチャンネル8ビットフォーマット
FMT_R8G8B8A8 | 4成分、32ビットフォーマット
FMT_A8 | 1成分、8ビットフォーマット
FMT_R16F | 1成分、16ビット浮動小数点フォーマット
FMT_R32F | 1成分、32ビット浮動小数点フォーマット
FMT_R16G16F | 2成分、16ビット浮動小数点フォーマット
FMT_R32G32F | 2成分、32ビット浮動小数点フォーマット
FMT_R16G16B16A16F | 4成分、64ビット浮動小数点フォーマット
FMT_R32G32B32A32F | 4成分、128ビット浮動小数点フォーマット
FMT_BC1 | BC1 ( DXT1 ) 圧縮フォーマット
FMT_BC2 | BC2 ( DXT3 ) 圧縮フォーマット
FMT_BC3 | BC3 ( DXT5 ) 圧縮フォーマット

enum Mix::Graphics::INDEX_FORMAT

インデックスフォーマット列挙定数

Enumerator
INDEX_USHORT | 16Bitインデックスバッファ
INDEX_UINT | 32Bitインデックスバッファ

enum Mix::Graphics::QUERY_FORMAT

クエリフォーマット列挙定数

Enumerator
QUERY_EVENT | イベント
QUERY_OCCLUSION | オクルージョン

enum Mix::Graphics::PRIMITIVE_TYPE

プリミティブタイプ列挙定数

Enumerator
PRIMITIVE_POINTLIST | ポイントリスト
PRIMITIVE_LINELIST | ラインリスト
PRIMITIVE_LINESTRIP | ラインストリップ
PRIMITIVE_TRIANGLELIST | トライアングルリスト
PRIMITIVE_TRIANGLESTRIP | トライアングルストリップ

enum Mix::Graphics::COLOR_WRITE_MASK

カラー書き込みマスク列挙定数

Enumerator
COLOR_WRITE_RGBA | 全て書き込む
COLOR_WRITE_RGB | RGBのみ書き込む
COLOR_WRITE_A | アルファのみ書き込む

## Function Documentation

_MIX_DLL_API Mix::Graphics::IManager* Mix::Graphics::GetManagerPtr | ( | void |  | ) |

マネージャのポインタを取得します

Returns
  マネージャを表す Mix::Graphics::IManager インターフェースのポインタを返します

_MIX_DLL_API Boolean Mix::Graphics::GetManager | ( | Mix::Graphics::IManager ** | ppManager | ) |

マネージャを取得します

Parameters

  [out] | ppManager | マネージャを表す Mix::Graphics::IManager インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得したマネージャは参照カウンタを +1 します。